Name:          minidlna
Version:       1.3.0
Release:       2mamba
Summary:       A simple media server software, with the aim of being fully compliant with DLNA/UPnP-AV clients
Group:         Applications/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://sourceforge.net/projects/minidlna/
Source:        https://downloads.sourceforge.net/project/minidlna/minidlna/%{version}/minidlna-%{version}.tar.gz
Source1:       minidlna.service
Source2:       minidlna.sysusers
Source3:       minidlna.tmpfiles
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: ldconfig
BuildRequires: libavcodec-ffmpeg-devel
BuildRequires: libavformat-ffmpeg-devel
BuildRequires: libavutil-ffmpeg-devel
BuildRequires: libexif-devel
BuildRequires: libflac-devel
BuildRequires: libid3tag-devel
BuildRequires: libjpeg-devel
BuildRequires: libogg-devel
BuildRequires: libsqlite-devel
BuildRequires: libvorbis-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
%systemd_requires
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
ReadyMedia (formerly known as MiniDLNA) is a simple media server software, with the aim of being fully compliant with DLNA/UPnP-AV clients. It is developed by a NETGEAR employee for the ReadyNAS product line.

%debug_package

%prep
%setup -q

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

install -Dm644 minidlna.conf %{buildroot}%{_sysconfdir}/minidlna.conf
install -Dm0644 %{SOURCE3} %{buildroot}%{_tmpfilesdir}/minidlna.conf
install -Dm0644 %{SOURCE2} %{buildroot}%{_sysusersdir}/minidlna.conf
install -Dm0644 %{SOURCE1} %{buildroot}%{_unitdir}/minidlna.service
install -Dm644 minidlna.conf.5 %{buildroot}%{_mandir}/man5/minidlna.conf.5
install -Dm644 minidlnad.8 %{buildroot}%{_mandir}/man8/minidlnad.8

%find_lang %{name} || touch %{name}.lang

%pre
%sysusers_create_package minidlna %{SOURCE2}
%tmpfiles_create_package minidlna %{SOURCE3}
:

%post
%systemd_post minidlna
:

%preun
%systemd_preun minidlna
:

%postun
%systemd_postun_with_restart minidlna
:

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f %{name}.lang
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/minidlna.conf
%{_sbindir}/minidlnad
%{_unitdir}/minidlna.service
%{_sysusersdir}/minidlna.conf
%{_tmpfilesdir}/minidlna.conf
%{_mandir}/man5/minidlna.conf.5*
%{_mandir}/man8/minidlnad.8*
%doc AUTHORS COPYING

%changelog
* Fri Feb 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.3.0-2mamba
- install configuration files, systemd service, man pages

* Sat Nov 28 2020 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Mon Oct 02 2017 Automatic Build System <autodist@mambasoft.it> 1.2.1-1mamba
- automatic version update by autodist

* Mon Aug 14 2017 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-1mamba
- package created using the webbuild interface
